.tleft {
    text-align: left;
}
.tright {
    text-align: right;
}
.tcenter {
    text-align: center;
}
.flex {
    display: flex;
}
/* Footer */
.footer-row {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
    margin: 20px auto;
    color: #fff;
}

.footer-column {
    flex: 1;
}

.footer-column h2 {
    color: #FFFFFF;
    font-size: 34px;
    font-weight: 700;
    line-height: 40px;
}

.footer-column h3 {
    font-size: 18px;
    margin-bottom: 20px;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #fff;
}

.footer-column ul {
    list-style: none;
    margin: 0;
}

.footer-column li {
    margin-bottom: 10px;
}

.footer-column p {
    font-weight: 600;
}

.footer-column a {
    color: #ccc;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-column a:hover {
    color: #fff;
}

/* SwiperContainer */
.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white);
    overflow: hidden;
}

/* Swiper Button */
.swiper-button-next,
.swiper-button-prev {
    color: var(--white);
    background-color: rgba(0, 0, 0, 0.3);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    transition: var(--transition);
}

.swiper-button-next:after,
.swiper-button-prev:after {
    font-size: 1.5rem;
    color: rgba(255, 255, 255, .8);
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    background-color: rgba(0, 0, 0, 0.6);
}

.swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background-color: rgba(255, 255, 255, 0.5);
    opacity: 1;
}

.swiper-pagination-bullet-active {
    background-color: var(--primary-color);
}

/* slider - text style */
.text-container {
    flex: 1;
    padding: 60px 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.slide-title {
    color: #000;
    margin-bottom: 20px;
    line-height: 1.1;
    font-size: 40px;
}

.slide-description {
    font-size: 17px;
    line-height: 1.8;
    color: #000;
    margin-bottom: 20px;
}

.slide-btn {
    display: inline-block;
    background: linear-gradient(135deg, #61c1bd 0%, #5ac3bf 100%);
    color: white;
    padding: 12px 30px;
    border-radius: 30px;
    text-decoration: none;
    font-weight: 600;
    font-size: 16px;
    transition: all 0.3s ease;
    border: none;
    cursor: pointer;
    align-self: flex-start;
}

.slide-btn:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(31, 122, 51, 0.3);
}

.slide-btn div {
    color: #fff;
}

.slide-note {
    font-size: 15px;
    color: #000;
    margin-top: 20px;
}

/* slider- image style */
.image-container {
    flex: 1;
    height: 100%;
    overflow: hidden;
}

.image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.5s ease;
}

.swiper-slide-active .image-container img {
    transform: scale(1.05);
}

/* Contact Form 7 Style */
.wpcf7-form-control {
    width: 100%;
    padding: 0.6rem 1rem;
    border: 1px solid #ddd;
    border-radius: 6px;
    font-size: 1rem;
    transition: all 0.3s ease;
    box-sizing: border-box;
}

.wpcf7-form-control:focus { 
    outline: none;
    border: 1px solid #61c1bd;
}

.wpcf7-submit {
    background-color: #61c1bd;
    color: white;
    border: none;
    padding: 0.8rem 1.8rem;
    font-size: 1rem;
    font-weight: 600;
    border-radius: 6px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    display: inline-block;
}

.wpcf7-submit:hover {
    background-color: #5ac3bf;
}

/* index container */
.w-index-container {
    margin-top: 40px;
}
.w-index-container h2 {
    margin-bottom: 1.5rem;
    font-size: 32px;
}

.w-index .left-section, .w-index .right-section {
    flex: 1;
    min-width: 300px;
    padding: 1rem;
}

@media (max-width: 1200px) {
    .swiper-slide img {
        object-fit: cover;
    }
    
    .main-banner img {
        height: 520px;
    }    
}

@media (max-width: 992px) {
    .w-index .left-section, .w-index .right-section {
        flex: 0 0 100%!important;
        padding: 0;
    }
}

@media (max-width: 768px) {
    .swiper-slide {
        display: block;
    }

    .wpcf7-form {
        padding: 15px;
    }
    
    .wpcf7-form p {
        margin-bottom: 1.2rem;
    }
    .footer{margin: 20px;}
    .footer-row{display: block;}
}
@media (min-width: 769px) {
    #ast-desktop-header { position: fixed; width: 100%; }
    #primary,#secondary {margin-top:150px!important; }
}

/* woocommerce */
.woocommerce-js div.product .product_title{
    font-size: 28px;
    letter-spacing: -0.5px;
    line-height: 1.2;
}
.woocommerce-js .woocommerce-breadcrumb a {
    color:#000;
}
.woocommerce-product-details__short-description p {
    margin-bottom: 1em;
}
.woocommerce-loop-product__title {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.woo-variation-gallery-wrapper .wvg-gallery-thumbnail-image img {
    padding: 10px;
}
.ast-article-single figure, .ast-article-single img:not(figure img) {
    box-shadow: none;
}
.woocommerce-js div.product div.summary .woocommerce-product-details__short-description :last-child {
    margin: 0;
}

/* widget - single-post-cf7 */
.single-post-cf7, .related-post {
    background-color: #fff;
    border-radius: 15px;
}
.single-post-cf7 p.title, .related-post p {
    padding: 20px 20px 0;
    color: var(--ast-global-color-2, #111827);
    font-size: 18px;
    font-weight: 500;
    text-transform: none;
    line-height: 1.2em;
    margin-bottom: 0;
}
.single-post-cf7 .wpcf7 form>p {
    margin-bottom: 0;
}
.related-post ul {
    padding: 20px;
}

/* icon-delivery */
.icon_delivery_list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    text-align: center;
}
.icon_delivery_list img {
    width: 40px;
    margin-left: 15px;
}
.icon_delivery_list span {
    font-size: 17px;
    font-weight: 600;
}
@media (max-width: 768px) {
    .icon_delivery_list {
        grid-template-columns: repeat(1, 1fr);
        text-align: left;
    }
}

/* woo_single_iconbox */
.iconbox {
    background: #f6f6f6;
}
.iconbox .item {
    flex: 1;
    padding: 10px;
}
.iconbox img {
    width: 20px;
    margin-right: 5px;
}
.iconbox span {
    display: inline-block;
    font-size: 14px;
    font-weight: 500;
    line-height: 22px;
    color: #222222;
}